#
# spec file for package baobab
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2011 Dominique Leuenberger, Amsterdam, The Netherlands
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           baobab
Version:        3.20.1
Release:        1.2
Summary:        Disk Usage Analyzer
License:        GPL-2.0+
Group:          System/GUI/GNOME
Url:            http://www.gnome.org
Source:         http://download.gnome.org/sources/baobab/3.20/%{name}-%{version}.tar.xz
BuildRequires:  intltool
BuildRequires:  update-desktop-files
BuildRequires:  vala >= 0.25.1
BuildRequires:  yelp-tools
BuildRequires:  pkgconfig(gio-2.0) >= 2.30.0
BuildRequires:  pkgconfig(glib-2.0) >= 2.39.90
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.19.1
Recommends:     %{name}-lang
Conflicts:      gnome-utils < 3.3.1
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%glib2_gsettings_schema_requires

%description
Disk Usage Analyzer is a graphical, menu-driven application to analyse
disk usage in any GNOME environment. Disk Usage Analyzer can easily
scan either the whole filesystem tree, or a specific user-requested
directory branch (local or remote).

It also auto-detects in real-time any changes made to your home
directory as far as any mounted/unmounted device. Disk Usage Analyzer
also provides a full graphical treemap window for each selected folder.

%lang_package
%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install
%suse_update_desktop_file org.gnome.%{name}
%find_lang %{name} %{?no_lang_C}

%post
%glib2_gsettings_schema_post
%desktop_database_post
%icon_theme_cache_post

%postun
%glib2_gsettings_schema_postun
%desktop_database_postun
%icon_theme_cache_postun

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING COPYING.docs NEWS README
%doc %{_datadir}/help/C/%{name}/
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1%{?ext_man}
%{_datadir}/icons/hicolor/*/apps/%{name}*.*
%{_datadir}/glib-2.0/schemas/org.gnome.baobab.gschema.xml
%{_datadir}/applications/org.gnome.%{name}.desktop
%dir %{_datadir}/appdata/
%{_datadir}/appdata/org.gnome.baobab.appdata.xml
%{_datadir}/dbus-1/services/org.gnome.baobab.service

%files lang -f %{name}.lang

%changelog
* Fri Apr 15 2016 idonmez@suse.com
- Update to GNOME 3.20  Fate#318572
* Mon Apr 11 2016 zaitor@opensuse.org
- Update to version 3.20.1:
  + Updated AppData.
  + Updated translations.
* Sun Mar 20 2016 zaitor@opensuse.org
- Update to version 3.20.0:
  + Updated translations.
* Sun Feb 28 2016 zaitor@opensuse.org
- Update to version 3.19.1:
  + Updated CSS to recent GTK+ changes.
  + Updated AppData file with tags for GNOME Software.
  + Updated translations.
* Fri Oct  9 2015 zaitor@opensuse.org
- Update to version 3.18.1:
  + Remove scan-remote action.
  + Updated translations.
* Wed Sep 23 2015 zaitor@opensuse.org
- Update to version 3.18.0:
  + Temporary fix for 'make distcheck' due to bug in Intltool
    (lp#1117944).
* Wed Sep 16 2015 dimstar@opensuse.org
- Update to version 3.17.90:
  + Remove unused scan-home action.
  + Exclude mounts when scanning recent locations.
  + In Ringchart, always use the correct state when getting colors.
  + Fixes for contex menu.
  + Updated translations.
* Wed Apr 15 2015 dimstar@opensuse.org
- Update to version 3.16.1:
  + Ship symbolic variant for application icon.
  + Updated translations.
- Remove HighContrast %%icon_theme_cache_post(un) calls, as Symbolic
  icons have replaced them.
* Mon Mar 23 2015 dimstar@opensuse.org
- Update to version 3.16.0:
  + Updated translations.
* Wed Feb 18 2015 dimstar@opensuse.org
- Update to version 3.15.90:
  + Exclude mountpoints when handling commandline arguments.
  + Fix HiDPI issues in the charts.
  + Misc fixes and updates for help pages.
  + Updated translations.
* Tue Oct 14 2014 dimstar@opensuse.org
- Update to version 3.14.1:
  + Fix url in manpage.
  + Updated translations.
* Mon Sep 22 2014 zaitor@opensuse.org
- Update to version 3.14.0:
  + Misc fixes.
  + Updated translations.
* Sun Sep  7 2014 zaitor@opensuse.org
- Update to version 3.13.91:
  + Add X-GNOME-Utilities category to .desktop file.
  + Updated translations.
* Wed Jul 23 2014 dimstar@opensuse.org
- Update to version 3.13.2:
  + Import custom CSS, use icon as resources, various other
    adaptation to GTK+ changes.
  + Visual fixes for the ringschart and the chart switcher.
  + Updated translations.
* Sat Jul 12 2014 dimstar@opensuse.org
- Update to version 3.13.1:
  + Use more specific error messages (bgo#686136).
  + Adapt to recent GTK+ changes.
  + Updated translations.
* Mon Apr 14 2014 zaitor@opensuse.org
- Update to version 3.12.1:
  + Make DBus-activatable.
  + Fix a problem at startup with treemap as default chart.
  + Misc bugfixes.
  + Updated translations.
- No longer pass obsolete --disable-scrollkeeper to configure.
* Mon Mar 24 2014 zaitor@opensuse.org
- Update to version 3.12.0:
  + Misc bugfixes (make sure to clear the hardlink list before
    rescanning, fix a warning).
  + Updated translations.
* Wed Feb 19 2014 zaitor@opensuse.org
- Update to version 3.11.90:
  + Minor UI fixes and updates.
  + Adapt to new Vala.
  + Updated translations.
* Tue Feb  4 2014 zaitor@opensuse.org
- Update to version 3.11.1:
  + Updated help pages.
  + Minor fixes.
  + Updated translations.
* Mon Oct 14 2013 dimstar@opensuse.org
- Update to version 3.10.1:
  + Updated translations.
* Mon Sep 23 2013 zaitor@opensuse.org
- Update to version 3.10:
  + Updated translations.
* Mon Sep  2 2013 zaitor@opensuse.org
- Update to version 3.9.91:
  + Add an appdata file for gnome-software.
  + Minor fixes.
  + Updated translations.
* Mon Aug 19 2013 dimstar@opensuse.org
- Update to version 3.9.90:
  + Use latest GTK+ features.
  + Show a message when allocated size is not available.
  + Misc build system cleanups.
  + Updated translations.
* Sat Aug  3 2013 zaitor@opensuse.org
- Update to version 3.9.3:
  + Adapt to the latest GTK+ and Vala changes.
  + Misc bugfixes.
  + Updated translations.
* Fri Jul 26 2013 zaitor@opensuse.org
- Update to version 3.9.2:
  + The treeview now shows the last modified time.
  + Always exclude mounts by default.
  + Misc bugfixes.
  + Updated help pages.
  + Updated translations.
* Mon Jul  8 2013 dimstar@opensuse.org
- Update to version 3.9.1:
  + Use the latest Gtk and Vala features.
  + Port chart widgets to Vala.
  + Minor bugfixes.
  + Updated translations.
- Add pkgconfig(glib-2.0) BuildRequires: new verified dependency.
* Mon May 13 2013 dimstar@opensuse.org
- Update to version 3.8.2:
  + Updated translations.
* Mon Apr 15 2013 dimstar@opensuse.org
- Update to version 3.8.1:
  + Updated translations.
* Mon Mar 25 2013 dimstar@opensuse.org
- Update to version 3.8.0:
  + Updated translations.
* Mon Mar 18 2013 dimstar@opensuse.org
- Update to version 3.7.92:
  + Minor bugfixes.
  + Updated translations.
* Wed Mar  6 2013 dimstar@opensuse.org
- Update to version 3.7.91:
  + Use the newest libgd to animate tranistion to and from the
    results page.
  + Updated translations.
* Fri Feb 22 2013 dimstar@opensuse.org
- Update to version 3.7.90:
  + Update to the latest libgd and egglistbox.
  + Add an High Contrast icon.
  + Updated translations.
* Mon Jan 14 2013 dimstar@opensuse.org
- Update to version 3.7.4:
  + Fix crash in the about dialog.
  + Use a menu button instead of toolbar items.
  + Updated translations.
* Sat Jan 12 2013 dimstar@opensuse.org
- Update to version 3.6.4:
  + Fix crash in scan remote folder (bgo#690037)
  + Updated translations.
* Thu Nov 15 2012 dimstar@opensuse.org
- Update to version 3.6.3:
  + Fix crash in the about dialog.
  + Updated translations.
* Wed Oct 17 2012 dimstar@opensuse.org
- Update to version 3.6.2:
  + Fix linking error on OpenBSD.
* Tue Oct 16 2012 dimstar@opensuse.org
- Update to version 3.6.1:
  + Minor tweaks to the UI.
  + Updated translations.
- Add pkgconfig(gobject-introspection-1.0) BuildRequires: enable
  gobject-introspection.
* Mon Sep 24 2012 dimstar@opensuse.org
- Update to version 3.6.0:
  + Updated translations.
* Mon Sep 17 2012 zaitor@opensuse.org
- Update to version 3.5.92:
  + Updated translations.
* Mon Sep  3 2012 dimstar@opensuse.org
- Update to version 3.5.91:
  + Updated translations.
* Mon Aug 20 2012 dimstar@opensuse.org
- Update to version 3.5.90:
  + Updated translations.
* Mon Aug  6 2012 dimstar@opensuse.org
- Update to version 3.5.5:
  + Yet more work on the new user interface
  + Updated translations.
* Thu Aug  2 2012 dimstar@opensuse.org
- Update to version 3.5.4:
  + More work on the new user interface
  + Updated translations.
* Mon Jun 25 2012 dimstar@opensuse.org
- Update to version 3.5.3:
  + Near-complete rewrite in Vala (with substantial internal
    reorganisation)
  + Completely new user interface concept (with more changes to
    come)
  + Updated translations.
- Add vala BuildRequires: baobab was rewritten in vala.
- Drop pkgconfig(libgtop-2.0) BuildRequires.
- Change pkgconfig(glib-2.0) BuildRequires to pkgconfig(gio-2.0):
  this is in sync with what configure checks for.
* Thu Apr  5 2012 vuntz@opensuse.org
- Update to version 3.4.1:
  + Fix a problem with chart tooltips
  + Updated translations.
* Mon Mar 26 2012 zaitor@opensuse.org
- Update to version 3.4.0:
  + Updated translations.
* Sat Mar 24 2012 dimstar@opensuse.org
- Remove hack to find localized help: this has been fixed in
  find-lang.sh.
* Mon Mar 19 2012 zaitor@opensuse.org
- Update to version 3.3.4:
  + Misc bugfixes.
  + Updated translations.
* Fri Mar  9 2012 dimstar@opensuse.org
- Update to version 3.3.3:
  + Misc bugfixes.
  + Updated translations.
* Wed Feb 22 2012 vuntz@opensuse.org
- Update to version 3.3.2:
  + Misc bugfixes.
  + New user documentation using Mallard.
  + Updated translations.
- Change pkgconfig(gnome-doc-utils) BuildRequires to yelp-tools,
  following the build system change for user documentation.
- Manually list the translated help documents as %%find_lang doesn't
  support the new XDG help system yet.
* Tue Nov  1 2011 dimstar@opensuse.org
- Initial package, version 3.3.1:
  + First release after the split of gnome-utils.
